﻿using System;
using System.Collections.Generic;
using System.Linq;

namespace MoneyExchanger
{
    public static class Exchanger
    {
        public static List<Exchange> Exchanges { get; } = new();
        
        private static Exchange[] ExchangesArray { get; set; }

        public static decimal ExchangeCurrencies(Currency from, Currency to, decimal value, decimal exchangeRate)
        {
            var exchange = new Exchange
            {
                From = from, To = to, Value = value, ExchangeRate = exchangeRate
            };
            Exchanges.Add(exchange);
            
            return value * exchangeRate;
        }

        private static void AddExchange(Exchange exchange)
        {
            if (ExchangesArray == null)
            {
                ExchangesArray = new[]
                {
                    exchange
                };
                return;
            }
            
            var count = ExchangesArray.Count(x => x is not null);
            if (ExchangesArray.Length == count)
            {
                var res = ExchangesArray;
                Array.Resize(ref res, ExchangesArray.Length * 2);
                ExchangesArray = res;
            }

            ExchangesArray[count] = exchange;
        }
    }
}