﻿using System;

namespace MoneyExchanger
{
    class Program
    {
        
        static void Main(string[] args)
        {
            var currencies = Enum.GetNames(typeof(Currency));
            while (true)
            {
                Console.Clear();
                Console.WriteLine($"Dostupne meny: {string.Join(", ", currencies)}");
                Console.Write("Z jake meny je prevod: ");
                var currencyFromInput = Console.ReadLine();
                Console.Write("Do jake meny je prevod: ");
                var currencyToInput = Console.ReadLine();
                Console.Write("Kurz: ");
                var exchangeRateInput = Console.ReadLine();
                Console.Write("Castka: ");
                var valueInput = Console.ReadLine();

                if (!Enum.TryParse(currencyFromInput, true, out Currency from) ||
                    !Enum.TryParse(currencyToInput, true, out Currency to) ||
                    !decimal.TryParse(exchangeRateInput, out var exchangeRate) ||
                    !decimal.TryParse(valueInput, out var value))
                {
                    Console.WriteLine("Spatne napsana mena nebo kurz!");
                    Console.ReadKey();
                    continue;
                }

                var money = Exchanger.ExchangeCurrencies(from, to, value, exchangeRate);
                Console.WriteLine($"Vysledna castka: {money}");
                Console.WriteLine("Pro zobrazeni historie zmacknete klavesu 'H'");
                if (char.ToLower(Console.ReadKey().KeyChar) == 'h')
                {
                    Console.Clear();
                    
                    foreach (var exchange in Exchanger.Exchanges)
                    {
                        Console.WriteLine($"{exchange}");
                    }
                    Console.ReadKey();
                }

            }
        }
    }
}